    Save the grouping scheme to a file.

save_grouping(id, filename=None, bkg_id=None, ascii=True, clobber=False)
id - int or str, optional
filename - str
bkg_id - int or str, optional
ascii - bool, optional
clobber - bool, optional

The output is a two-column file, containing the channel and grouping columns from the data set.

Save the channel and grouping columns from the default data set to the file 'group.dat' as an ASCII file:

>>> save_grouping('group.dat')

Over-write the 'grp.fits' file, if it exists, and write out the grouping data from the 'jet' data set, as a FITS format file:

>>> save_grouping('jet', 'grp.fits', ascii=False, clobber=True)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The identifier for the data set to use. If not given then the default identifier is used, as returned by

`get_default_id` .
filename
The name of the file to write the array to. The format is determined by the `ascii` argument.
bkg_id
Set if the grouping array should be taken from the background associated with the data set.
ascii
If False then the data is written as a FITS format binary table. The default is True . The exact format of the output file depends on the I/O library in use (Crates or AstroPy).
clobber
If `outfile` is not none , then this flag controls whether an existing file can be overwritten ( True ) or if it raises an exception ( False , the default setting).

Notes

The function does not follow the normal Python standards for parameter use, since it is designed for easy interactive use. When called with a single un-named argument, it is taken to be the `filename` parameter. If given two un-named arguments, then they are interpreted as the `id` and `filename` parameters, respectively. The remaining parameters are expected to be given as named arguments.

The column names are 'CHANNEL' and 'GROUPS'.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023